Subject: [JAGNUTS] Twas the Night Before a Jagnut's Christmas

From: "Bob England" <[email-masked]>
Date: Wed, 24 Dec 2008 16:08:02 -0600

For those who missed it last year .
 
'Twas the night before Christmas
And in the garage,
Not trace of a Bimmer, nor Porsche,
nor a Dodge
 
The presents were wrapped
And the lights were all lit
So I figured I'd polish the Jag
For a bit
 
As I popped the releases
And lowered the hood
>From behind me I heard
"My, she looks pretty good."
 
As you can imagine
I turned mighty quick
And there by the workbench
was good ol' Saint Nick!
 
He stood for a bit
Unsure just what to say
Then 
"How 'bout an even-up trade for my sleigh?"
 
I said "sorry Santa"
And started to grin
"But if you've got time
We could go for a spin!"
 
His round little mouth
Puckered up like a bow
Then into a smile
As he said "well let's go!"
 
So as not to disturb
All the neighbours' in sleep,
We pushed the ol' E-type
Out into the street
 
Then telling old Santa
"Hold on for your life"
I pushed the start button
She roared into life
 
The sound that erupted
Took him by surprise
But he liked it a lot
By the look in his eyes
 
With Dunlops a wailin'
An' tail pipes aglow
We drifted the E-type
around in the snow
 
Then Santa's grin widened
Near out to his ears
As right sprightly quick
I went through all four gears
 
He yelled
"Can't recall when I've felt so alive!"
So I backed off the throttle and asked
"Wanna' drive?"
 
Ol' Santa was stunned
When I tossed him the keys
As he walked past the headlights
I saw shakes at his knees
 
Then the engine exploded
With powerful sounds
He let out the clutch
Wire wheels spun around
 
Power shift into second
Then fast into third
I sat there just watching
At loss for a word
 
Through fourth he did race
And with no more to go
His foot off the throttle
Then braked in the snow
 
Around a right-hander
With knuckles a whitening
I felt a bit queasy
His driving quite frightening
 
Past home and the wife
With her face at the window
She must have had thought
Of becoming a widow
 
On to the highway
Our path then did lead
We passed just 'bout all
As he pressed on at speed
 
Then slowing to turn 'round
My heart skipped a beat
We passed a black ghost car
No radar a'beep
 
Well fine'ly he pulled up
In front of my place
Blood returned to my knuckles
To knees and to face
 
Climbing into in his
Old red eight reindeer sleigh
He smiled back at me
In his jolly old way
 
Then I heard him exclaim
as he blasted from sight
"Merry Christmas to all
And Ho-Ho-Ho;
What a night!"
 
Bob England
Merry Christmas to all Jagnuts
And Best wishes for the New Year